curl --request GET \
--url https://api.goevery.co/v1/orders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.goevery.co/v1/orders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.goevery.co/v1/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "orders/669a8cba6af86466a42de2fe",
"createTime": "2024-07-17T21:32:52.478Z",
"updateTime": "2024-07-17T21:32:52.478Z",
"status": "NEW",
"recipient": {
"firstName": "Valentina",
"lastName": "Rodríguez López",
"email": "valentina@gmail.com",
"phoneNumber": "+573193210329",
"address": {
"regionCode": "CO",
"administrativeArea": "Antioquia",
"locality": "Abejorral",
"addressLines": [
"Calle 123",
"Apto 2"
],
"organization": "Happeett"
},
"location": "locations/CO-11001000",
"documentType": "CC",
"document": "1040777098"
},
"contentDescription": "Shoes",
"notes": "1 Pair of Reebok Nano, Size 8, Color Black",
"sellingPriceCents": 1430000,
"cashOnDeliveryRequestCents": 8900000,
"customerReliability": "RELIABLE",
"customerBehavior": {
"totalShipments": 10,
"deliveredShipments": 8,
"returnedShipments": 2,
"reliability": "RELIABLE"
},
"fulfiller": "every",
"shipment": "shipments/669986bb4ae1239d5a92cdff",
"referenceId": "4012",
"referenceGid": "93240958723",
"referenceUrl": "https://mystore.com/order/1234567890",
"paymentMethods": [
"Cash On Delivery (COD)",
"Credit Card"
]
}Get Order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the order.
"669883e4bb5d6ab047c1c334"
Response
Successfully fetched a order.
The unique identifier of the order.
"orders/669a8cba6af86466a42de2fe"
The timestamp when the order was created.
"2024-07-17T21:32:52.478Z"
The timestamp when the order was last updated.
"2024-07-17T21:32:52.478Z"
The current status of the order.
NEW, CONFIRMED, READY, IN_PROGRESS, CANCELLED, DELIVERED, RETURN "NEW"
Details of the recipient of the order.
Show child attributes
Show child attributes
A description of the package content.
3 - 128"Shoes"
A detailed description of the contents of this package and additional information.
3 - 2048"1 Pair of Reebok Nano, Size 8, Color Black"
The order selling price, just for reporting purposes.
1430000
The amount to be collected on delivery in cents.
x >= 08900000
The reliability of the customer.
RELIABLE, MODERATE, UNRELIABLE, NO_ORDERS "RELIABLE"
Show child attributes
Show child attributes
The entity responsible for fulfilling (shipping) the order.
"every"
The unique identifier for the associated shipment.
"shipments/669986bb4ae1239d5a92cdff"
The ID of the order in the external system that created it, like Shopify order name.
"4012"
The global identifier of the order in the external system, like Shopify order GID.
"93240958723"
The URL to the order in the external system, like Shopify order URL.
"https://mystore.com/order/1234567890"
Payment methods used for this order.
["Cash On Delivery (COD)", "Credit Card"]